# Graphic3d_TypeOfStructure.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Graphic3d_TypeOfStructure { Graphic3d_TOS_WIREFRAME, Graphic3d_TOS_SHADING, Graphic3d_TOS_COMPUTED, Graphic3d_TOS_ALL }
| Nature of the reflection of a material. . More...

## Enumeration Type Documentation

enum Graphic3d_TypeOfStructure

Enumeration values:

  Graphic3d_TOS_WIREFRAME |
  Graphic3d_TOS_SHADING |
  Graphic3d_TOS_COMPUTED |
  Graphic3d_TOS_ALL |